server:
  port: 8081
spring:
  application:
    name: service
  profiles:
    active: local
  # 数据库
  datasource:
    url: jdbc:mysql://${lj.db.host}:3306/luojia_channel?useUnicode=true&characterEncoding=UTF-8&autoReconnect=true&serverTimezone=Asia/Shanghai
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: ${lj.db.password}
  # redis配置
  data:
    redis:
      host: ${lj.redis.host}
      port: ${lj.redis.port}
      password: ${lj.redis.password}
      lettuce:
        pool:
          max-active: 10
          max-idle: 10
          min-idle: 1
          time-between-eviction-runs: 10s
  # rabbitmq配置
  rabbitmq:
    host: ${lj.rabbitmq.host}
    port: ${lj.rabbitmq.port}
    username: ${lj.rabbitmq.username}
    password: ${lj.rabbitmq.password}
    virtual-host: /
    listener:
      simple:
        acknowledge-mode: manual
        concurrency: 5
        max-concurrency: 10
        prefetch: 1
# minio配置
minio:
  endpoint: ${lj.minio.endpoint}
  accessKey: ${lj.minio.accessKey}
  secretKey: ${lj.minio.secretKey}

mybatis-plus:
  configuration:
    default-enum-type-handler: com.baomidou.mybatisplus.core.handlers.MybatisEnumTypeHandler
  global-config:
    db-config:
      update-strategy: not_null
      id-type: auto
  mapper-locations: classpath*:mapper/**/*.xml
  type-aliases-package: com.luojia.luojia_channel.modules.*.entity



